---
apiVersion: apps/v1
kind: Deployment
metadata: 
  name:  namedentity-pod
  labels:
    app: namedentity-pod
spec:
  replicas: 1
  selector:
    matchLabels:
      app: namedentity-pod
  template:
    metadata:
      labels:
        app: namedentity-pod
    spec:
      containers:
        - image: namedentity
          name:  namedentity-pod
          imagePullPolicy: Never
          ports:
            - containerPort: 5500

--- 
apiVersion: v1
kind: Service
metadata:
  name:  namedentity-pod-service
spec:
  selector:
    app:  namedentity-pod
  type:  NodePort
  ports:
   - port:  5500
     nodePort: 30005

          